curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/clone \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobPartTargetLangs": [
{
"jobPart": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"targetLangs": [
"<string>"
]
}
],
"assignments": [
{
"assignedUsers": [
{
"id": 123
}
],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"keepSplit": true,
"workflowSettings": [
{
"assignments": [
{
"assignedUsers": [
{
"id": 123
}
],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"getProjectWorkflowStep": {
"delegate": {},
"directive": 123,
"maximumNumberOfParameters": 123,
"owner": {},
"parameterTypes": [
"<unknown>"
],
"resolveStrategy": 123,
"thisObject": {}
},
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/clone"
payload = {
"jobPartTargetLangs": [
{
"jobPart": { "uid": "3HYnHHLkTPJfMxBCDbPXFe" },
"targetLangs": ["<string>"]
}
],
"assignments": [
{
"assignedUsers": [{ "id": 123 }],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"keepSplit": True,
"workflowSettings": [
{
"assignments": [
{
"assignedUsers": [{ "id": 123 }],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"getProjectWorkflowStep": {
"delegate": {},
"directive": 123,
"maximumNumberOfParameters": 123,
"owner": {},
"parameterTypes": ["<unknown>"],
"resolveStrategy": 123,
"thisObject": {}
},
"id": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobPartTargetLangs: [{jobPart: {uid: '3HYnHHLkTPJfMxBCDbPXFe'}, targetLangs: ['<string>']}],
assignments: [
{
assignedUsers: [{id: 123}],
providers: [{type: '<string>', id: '<string>'}],
targetLang: '<string>'
}
],
due: '2023-11-07T05:31:56Z',
keepSplit: true,
workflowSettings: [
{
assignments: [
{
assignedUsers: [{id: 123}],
providers: [{type: '<string>', id: '<string>'}],
targetLang: '<string>'
}
],
due: '2023-11-07T05:31:56Z',
getProjectWorkflowStep: {
delegate: {},
directive: 123,
maximumNumberOfParameters: 123,
owner: {},
parameterTypes: ['<unknown>'],
resolveStrategy: 123,
thisObject: {}
},
id: '<string>'
}
]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"continuous": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"filename": "<string>",
"imported": true,
"jobAssignedEmailTemplate": {},
"notificationIntervalInMinutes": 123,
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"sourceFileUid": "<string>",
"status": "NEW",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}Clone jobs
Clones the selected jobs into new target languages, optionally applying per-workflow-step settings: linguist/vendor assignment per target language, due date and notify-linguist (email template + reminder interval) per workflow step. The project must have more than one target language and must not have reached its job limit; multilingual jobs are rejected.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
Jobs to clone and their target languages
Request to clone the selected jobs, optionally with per-workflow-step settings
Jobs to clone, each with the target languages of the clones
Show child attributes
Show child attributes
only use for projects without workflows
Show child attributes
Show child attributes
only use for projects without workflows
When true, the split structure of the source jobs is preserved in the clones
Show child attributes
Show child attributes
Per-workflow-step settings; when set, it has to contain an entry for every workflow step
Show child attributes
Show child attributes
Response
OK
Job parts affected by the operation
Show child attributes
Show child attributes
Was this page helpful?